[BACK]Return to patch-tar.cabal CVS log [TXT][DIR] Up to [cvs.NetBSD.org] / pkgsrc / archivers / hs-tar / patches

File: [cvs.NetBSD.org] / pkgsrc / archivers / hs-tar / patches / Attic / patch-tar.cabal (download)

Revision 1.2, Fri Feb 11 13:03:51 2022 UTC (2 years, 2 months ago) by pho
Branch: MAIN
CVS Tags: pkgsrc-2022Q4-base, pkgsrc-2022Q4, pkgsrc-2022Q3-base, pkgsrc-2022Q3, pkgsrc-2022Q2-base, pkgsrc-2022Q2, pkgsrc-2022Q1-base, pkgsrc-2022Q1
Changes since 1.1: +16 -1 lines

Fix build with GHC 9.2

$NetBSD: patch-tar.cabal,v 1.2 2022/02/11 13:03:51 pho Exp $

Relax the dependency constraint. The package is known to be compatible
with GHC 9.

--- tar.cabal.orig	2001-09-09 01:46:40.000000000 +0000
+++ tar.cabal
@@ -40,7 +40,7 @@ flag old-bytestring
 
 library
 
-  build-depends: base       >= 4 && < 4.14,
+  build-depends: base       >= 4 && < 5,
                  filepath             < 1.5,
                  array                < 0.6,
                  containers >= 0.2 && < 0.7,
@@ -49,12 +49,12 @@ library
   if flag(old-time)
     build-depends: directory < 1.2, old-time < 1.2
   else
-    build-depends: directory >= 1.2 && < 1.4, time < 1.10
+    build-depends: directory >= 1.2 && < 1.4, time < 1.13
 
   if flag(old-bytestring)
     build-depends: bytestring-builder >= 0.10.4.0.2 && < 0.11, bytestring == 0.9.*
   else
-    build-depends: bytestring == 0.10.*
+    build-depends: bytestring >= 0.10 && < 0.12
 
   if !impl(ghc >= 8.0)
     build-depends: semigroups == 0.18.*